## ocp 0.1.21

=== boot/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: kickload.o compdate.o psetting.o plinkman.o plinkman_end.o pmain.o console.o

clean:
	rm -f *.o *.a *$(LIB_SUFFIX)

install:

uninstall:

compdate.o: compdate.c \
	../config.h
	$(CC) compdate.c -o $@ -c

pmain.o: pmain.c pmain.h \
	../config.h \
	../types.h \
	plinkman.h \
	psetting.h \
	../stuff/err.h \
	../stuff/poutput.h
	$(CC) pmain.c -o $@ -c

psetting.o: psetting.c psetting.h \
	../config.h
	$(CC) psetting.c -o $@ -c

plinkman.o: plinkman.c plinkman.h \
	../config.h \
	../types.h \
	psetting.h
	$(CC) plinkman.c -o $@ -c

plinkman_end.o: plinkman_end.c plinkman.h \
	../config.h \
	../types.h
	$(CC) plinkman_end.c -o $@ -c


kickload.o: kickload.c \
	../config.h \
	../types.h \
	pmain.h \
	../Rules.make
	$(CC) kickload.c -o $@ -c

console.o: console.c console.h \
	../config.h \
	../types.h \
	../stuff/poutput.h
	$(CC) console.c -o $@ -c

=== cpiface/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_LZW),1)
GIF_O=gif.o
endif

cpiface_so=fft.o cpianal.o cpichan.o cpidots.o cpiface.o cpigraph.o cpiinst.o cpikube.o cpilinks.o cpimsg.o cpimvol.o cpiphase.o cpipic.o cpiptype.o cpiscope.o cpitext.o cpitrack.o mcpedit.o $(GIF_O) tga.o volctrl.o

keyhelp_so=cpikeyhelp.o

ifeq ($(STATIC_BUILD),1)
all: $(cpiface_so) $(keyhelp_so)
else
all: cpiface$(LIB_SUFFIX) keyhelp$(LIB_SUFFIX)
endif

cpiface$(LIB_SUFFIX): $(cpiface_so)
	$(CC) $(SHARED_FLAGS) $(MATH_LIBS) -o $@ $^

keyhelp$(LIB_SUFFIX): $(keyhelp_so)
	$(CC) $(SHARED_FLAGS) $(MATH_LIBS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) cpiface$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/35-cpiface$(LIB_SUFFIX)"
	$(CP) keyhelp$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/15-keyhelp$(LIB_SUFFIX)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/35-cpiface$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/15-keyhelp$(LIB_SUFFIX)"
endif
cpikeyhelp.o: cpikeyhelp.c cpiface.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../stuff/poutput.h \
	../stuff/framelock.h
	$(CC) cpikeyhelp.c -o $@ -c

fft.o: fft.c fft.h \
	../config.h
	$(CC) fft.c -o $@ -c

cpianal.o: cpianal.c \
	fft.h \
	cpiface.h \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/psetting.h
	$(CC) cpianal.c -o $@ -c

cpichan.o: cpichan.c \
	cpiface.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h
	$(CC) cpichan.c -o $@ -c

cpidots.o: cpidots.c \
	cpiface.h \
	cpipic.h \
	../config.h \
	../types.h \
	../stuff/poutput.h
	$(CC) cpidots.c -o $@ -c

cpigraph.o: cpigraph.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	cpipic.h \
	fft.h
	$(CC) cpigraph.c -o $@ -c

cpiinst.o: cpiinst.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpiinst.c -o $@ -c

cpikube.o: cpikube.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	../stuff/timer.h \
	../boot/psetting.h
	$(CC) cpikube.c -o $@ -c

cpilinks.o: cpilinks.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	../boot/plinkman.h
	$(CC) cpilinks.c -o $@ -c

cpimsg.o: cpimsg.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpimsg.c -o $@ -c

cpimvol.o: cpimvol.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpimvol.c -o $@ -c

cpiphase.o: cpiphase.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	../stuff/imsrtns.h \
	cpipic.h
	$(CC) cpiphase.c -o $@ -c

cpipic.o: cpipic.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	cpiface.h \
	gif.h \
	tga.h
	$(CC) cpipic.c -o $@ -c

cpiptype.o: cpiptype.c \
	../config.h \
	../types.h \
	../filesel/mdb.h
	$(CC) cpiptype.c -o $@ -c

cpiscope.o: cpiscope.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	cpipic.h
	$(CC) cpiscope.c -o $@ -c

cpitext.o: cpitext.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) cpitext.c -o $@ -c

cpitrack.o: cpitrack.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/psetting.h \
	cpiface.h
	$(CC) cpitrack.c -o $@ -c

mcpedit.o: mcpedit.c \
	../config.h \
	../types.h \
	cpiface.h \
	../dev/mcp.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) mcpedit.c -o $@ -c

gif.o: gif.c \
	gif.h \
	../config.h \
	../types.h
	$(CC) gif.c -o $@ -c

tga.o: tga.c \
	tga.h \
	../config.h \
	../types.h
	$(CC) tga.c -o $@ -c

cpiface.o: cpiface.c \
	../config.h \
	../types.h \
	cpiface.h \
	cpipic.h \
	../stuff/compat.h \
	../stuff/err.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../boot/plinkman.h \
	../stuff/framelock.h \
	../stuff/poutput.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) cpiface.c -o $@ -c

volctrl.o: volctrl.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	cpiface.h \
	../stuff/imsrtns.h \
	vol.h
	$(CC) volctrl.c -o $@ -c

=== dev/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

mixclip_so=mixclip.o

plrbase_so=deviplay.o plrasm.o player.o

devi_so=devigen.o

mcpbase_so=deviwave.o mcp.o mix.o mixasm.o smpman.o

mchasm_so=mchasm.o

smpbase_so=devisamp.o sampler.o

ifeq ($(STATIC_BUILD),1)
all: $(mixclip_so) $(plrbase_so) $(devi_so) $(mcpbase_so) $(mchasm_so) $(smpbase_so)
else
all: devi$(LIB_SUFFIX) mcpbase$(LIB_SUFFIX) plrbase$(LIB_SUFFIX) smpbase$(LIB_SUFFIX) mchasm$(LIB_SUFFIX) mixclip$(LIB_SUFFIX)
endif

mixclip$(LIB_SUFFIX): $(mixclip_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

plrbase$(LIB_SUFFIX): $(plrbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devi$(LIB_SUFFIX): $(devi_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mcpbase$(LIB_SUFFIX): $(mcpbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mchasm$(LIB_SUFFIX): $(mchasm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

smpbase$(LIB_SUFFIX): $(smpbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) mchasm_test smpman_asminctest

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) mcpbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-mcpbase$(LIB_SUFFIX)"
	$(CP) plrbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-plrbase$(LIB_SUFFIX)"
	$(CP) smpbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-smpbase$(LIB_SUFFIX)"
	$(CP) mixclip$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-mixclip$(LIB_SUFFIX)"
	$(CP) mchasm$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-mchasm$(LIB_SUFFIX)"
	$(CP) devi$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-devi$(LIB_SUFFIX)"


uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-mcpbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-plrbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-smpbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-mixclip$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-mchasm$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-devi$(LIB_SUFFIX)"
endif

devigen.o: devigen.c devigen.h \
	../config.h \
	../types.h \
	imsdev.h \
	devigen.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) devigen.c -o $@ -c

deviplay.o: deviplay.c deviplay.h \
	../config.h \
	../types.h \
	../filesel/dirdb.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	imsdev.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	../stuff/err.h \
	devigen.h \
	player.h \
	../stuff/compat.h
	$(CC) deviplay.c -o $@ -c

devisamp.o: devisamp.c devisamp.h \
	../config.h \
	../types.h \
	../filesel/dirdb.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	imsdev.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	../stuff/err.h \
	devigen.h \
	sampler.h \
	../stuff/compat.h
	$(CC) devisamp.c -o $@ -c

deviwave.o: deviwave.c deviwave.h \
	../config.h \
	../types.h \
	../filesel/dirdb.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	imsdev.h \
	player.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	../stuff/err.h \
	devigen.h \
	mcp.h \
	../stuff/compat.h
	$(CC) deviwave.c -c -o $@ -c

mchasm.o: mchasm.c mchasm.h \
	../config.h \
	../types.h \
	../boot/plinkman.h
	$(CC) mchasm.c -o $@ -c

mchasm_test.o: mchasm_test.c mchasm.h \
	../config.h \
	../types.h
	$(CC) mchasm_test.c -o $@ -c

mchasm_test: mchasm.o mchasm_test.o
	$(CC) -o $@ $^

mcp.o: mcp.c mcp.h \
	../config.h \
	../types.h
	$(CC) mcp.c -o $@ -c

mix.o: mix.c mix.h \
	../config.h \
	../types.h \
	mcp.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	mixasm.h
	$(CC) mix.c -o $@ -c

mixasm.o: mixasm.c mixasm.h \
	../config.h \
	../types.h \
	mix.h
	$(CC) -O mixasm.c -o $@ -c

player.o: player.c player.h \
	../config.h \
	../types.h \
	mchasm.h \
	../stuff/imsrtns.h
	$(CC) player.c -o $@ -c

plrasm.o: plrasm.c plrasm.h \
	../config.h \
	../types.h
	$(CC) plrasm.c -o $@ -c

sampler.o: sampler.c sampler.h \
	../config.h \
	../types.h \
	../stuff/imsrtns.h \
	mchasm.h
	$(CC) sampler.c -o $@ -c

smpman.o: smpman.c \
	../config.h \
	../types.h \
	smpman_asminc.c \
	mcp.h
	$(CC) smpman.c -o $@ -c

smpman_asminctest.o: smpman_asminctest.c smpman_asminc.c ../config.h
	$(CC) smpman_asminctest.c -o $@ -c

smpman_asminctest: smpman_asminctest.o
	$(CC) -o $@ $^

mixclip.o: mixclip.c mixclip.h \
	../config.h \
	../types.h \
	../boot/plinkman.h
	$(CC) mixclip.c -o $@ -c

=== devp/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_ALSA),1)
ALSA_SO=devpalsa$(LIB_SUFFIX)
endif

ifeq ($(HAVE_OSS),1)
OSS_SO=devposs$(LIB_SUFFIX)
endif

ifeq ($(HAVE_COREAUDIO),1)
COREAUDIO_SO=devpcoreaudio$(LIB_SUFFIX)
endif

ifeq ($(HAVE_SDL),1)
SDL_SO=devpsdl$(LIB_SUFFIX)
endif

all: devpnone$(LIB_SUFFIX) devpdisk$(LIB_SUFFIX) $(OSS_SO) $(ALSA_SO) $(COREAUDIO_SO) $(SDL_SO)

devpnone_so=devpnone.o
devpnone$(LIB_SUFFIX): $(devpnone_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devposs_so=devposs.o
devposs$(LIB_SUFFIX):$(devposs_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) $(OSS_LIBS) -o $@ $^

devpdisk_so=devpdisk.o
devpdisk$(LIB_SUFFIX):$(devpdisk_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devpalsa_so=devpalsa.o
devpalsa$(LIB_SUFFIX):$(devpalsa_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(ALSA_LIBS)

devpcoreaudio_so=devpcoreaudio.o
devpcoreaudio$(LIB_SUFFIX):$(devpcoreaudio_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(COREAUDIO_LIBS) $(PTHREAD_LIBS)

devpsdl_so=devpsdl.o
devpsdl$(LIB_SUFFIX):$(devpsdl_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(SDL_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) devpnone$(LIB_SUFFIX) devpdisk$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
ifeq ($(HAVE_ALSA),1)
	$(CP) $(ALSA_SO) "$(DESTDIR)$(LIBDIR)"
endif
ifeq ($(HAVE_OSS),1)
	$(CP) $(OSS_SO) "$(DESTDIR)$(LIBDIR)"
endif
ifeq ($(HAVE_COREAUDIO),1)
	$(CP) $(COREAUDIO_SO) "$(DESTDIR)$(LIBDIR)"
endif
ifeq ($(HAVE_SDL),1)
	$(CP) $(SDL_SO) "$(DESTDIR)$(LIBDIR)"
endif

uninstall:
	rm -f  "$(DESTDIR)$(LIBDIR)/devpnone$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/devpdisk$(LIB_SUFFIX)"
ifeq ($(HAVE_ALSA),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(ALSA_SO)"
endif
ifeq ($(HAVE_OSS),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(OSS_SO)"
endif
ifeq ($(HAVE_COREAUDIO),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(COREAUDIO_SO)"
endif
ifeq ($(HAVE_SDL),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(SDL_SO)"
endif

devposs.o: devposs.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/vol.h \
	../dev/imsdev.h \
	../dev/devigen.h \
	../dev/player.h \
	../boot/psetting.h  \
	../stuff/imsrtns.h
	$(CC) devposs.c $(OSS_CFLAGS) -o $@ -c

devpnone.o: devpnone.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/timer.h \
	../stuff/imsrtns.h
	$(CC) devpnone.c -o $@ -c

devpdisk.o: devpdisk.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/imsrtns.h \
	../dev/devigen.h \
	../boot/psetting.h
	$(CC) devpdisk.c -o $@ -c

devpalsa.o: devpalsa.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/vol.h \
	../dev/imsdev.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	../stuff/imsrtns.h \
	../stuff/framelock.h \
	../stuff/poutput.h
	$(CC) devpalsa.c -o $@ -c $(ALSA_CFLAGS)

devpcoreaudio.o: devpcoreaudio.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/imsrtns.h
	$(CC) devpcoreaudio.c -o $@ -c $(DEVPCOREAUDIO_CFLAGS)

devpsdl.o: devpsdl.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/imsrtns.h
	$(CC) devpsdl.c -o $@ -c $(SDL_CFLAGS) $(DEVPSDL_CFLAGS)

=== doc/Makefile ===
TOPDIR=..
include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C texi all TOPDIR="../$(TOPDIR)"

clean:
	$(MAKE) -C texi clean TOPDIR="../$(TOPDIR)"

install:
	$(MAKE) -C texi install TOPDIR="../$(TOPDIR)" DESTDIR="$(DESTDIR)"

uninstall:
	$(MAKE) -C texi uninstall TOPDIR="../$(TOPDIR)" DESTDIR="$(DESTDIR)"

=== filesel/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(CDROM_SUPPORT),1)
CDROM_SO=cdrom$(LIB_SUFFIX)
endif

arctar_so=arctar.o
arczip_so=arczip.o
cdrom_so=cdrom.o
pfilesel_so=adb.o cphlpfs.o dirdb.o pfilesel.o pfsmain.o modlist.o fsptype.o mdb.o pfspls.o pfsm3u.o gendir.o playlist.o

ifeq ($(STATIC_BUILD),1)
all: $(arctar_so) $(arczip_so) $(cdrom_so) $(pfilesel_so) fstypes.o
else
all: arctar$(LIB_SUFFIX) arczip$(LIB_SUFFIX) $(CDROM_SO) fstypes.o pfilesel$(LIB_SUFFIX)
endif

arctar$(LIB_SUFFIX): $(arctar_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

arczip$(LIB_SUFFIX): $(arczip_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ -lz

cdrom$(LIB_SUFFIX): $(cdrom_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

pfilesel$(LIB_SUFFIX): $(pfilesel_so)
	$(CC) $(SHARED_FLAGS) $(MATH_LIBS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) modlist_test

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) arctar$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-arctar$(LIB_SUFFIX)"
	$(CP) arczip$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-arczip$(LIB_SUFFIX)"
	$(CP) pfilesel$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/25-pfilesel$(LIB_SUFFIX)"
ifeq ($(CDROM_SUPPORT),1)
	$(CP) $(CDROM_SO) "$(DESTDIR)$(LIBDIR)/autoload/30-cdrom$(LIB_SUFFIX)"
endif
uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-arctar$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-arczip$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/25-pfilesel$(LIB_SUFFIX)"
ifeq ($(CDROM_SUPPORT),1)
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-cdrom$(LIB_SUFFIX)"
endif
endif

adb.o: adb.c adb.h \
	../config.h \
	../types.h \
	dirdb.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	modlist.h \
	mdb.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) adb.c -o $@ -c

dirdb.o: dirdb.c dirdb.h \
	../config.h \
	../types.h \
	../boot/psetting.h
	$(CC) dirdb.c -o $@ -c

cdrom.o: cdrom.c \
	../config.h \
	../types.h \
	dirdb.h \
	../boot/plinkman.h \
	modlist.h \
	pfilesel.h \
	../stuff/err.h \
	mdb.h
	$(CC) cdrom.c -o $@ -c

mdb.o: mdb.c mdb.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	modlist.h \
	pfilesel.h \
	../stuff/imsrtns.h
	$(CC) mdb.c -o $@ -c

cphlpfs.o: cphlpfs.c cphlpfs.h \
	../config.h \
	../types.h \
	../stuff/framelock.h \
	../stuff/poutput.h \
	../help/cphelper.h
	$(CC) cphlpfs.c -o $@ -c

fsptype.o: fsptype.c \
	../config.h \
	../types.h \
	dirdb.h \
	mdb.h
	$(CC) fsptype.c -o $@ -c

modlist.o: modlist.c modlist.h \
	../config.h \
	../types.h \
	../stuff/compat.h \
	dirdb.h
	$(CC) modlist.c -o $@ -c

modlist_test.o: modlist_test.c \
	../config.h
	modlist.h
	$(CC) modlist_test.c -o $@ -c

modlist_test: modlist.o modlist_test.o
	$(CC) -o $@ $^ -lefence

pfilesel.o: pfilesel.c pfilesel.h \
	../config.h \
	../types.h \
	adb.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	cphlpfs.h \
	dirdb.h \
	gendir.h \
	mdb.h \
	../stuff/compat.h \
	../stuff/framelock.h \
	../stuff/poutput.h \
	modlist.h
	$(CC) pfilesel.c -o $@ -c

fstypes.o: fstypes.c \
	../config.h \
	../boot/plinkman.h \
	mdb.h
	$(CC) fstypes.c -o $@ -c

pfsmain.o: pfsmain.c \
	../config.h \
	../types.h \
	mdb.h \
	pfilesel.h \
	../boot/plinkman.h \
	../boot/pmain.h \
	../stuff/poutput.h \
	../stuff/err.h \
	../boot/psetting.h
	$(CC) pfsmain.c -o $@ -c

arctar.o: arctar.c \
	../config.h \
	../types.h \
	adb.h \
	mdb.h \
	mif.h \
	modlist.h \
	../boot/plinkman.h \
	../stuff/compat.h \
	pfilesel.h
	$(CC) arctar.c -o $@ -c

arczip.o: arczip.c \
	../config.h \
	../types.h \
	adb.h \
	mdb.h \
	mif.h \
	modlist.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../stuff/compat.h \
	../stuff/pagesize.inc.c \
	pfilesel.h
	$(CC) arczip.c -o $@ -c

pfspls.o: pfspls.c \
	../config.h \
	../types.h \
	adb.h \
	dirdb.h \
	gendir.h \
	mdb.h \
	modlist.h \
	playlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) pfspls.c -o $@ -c

pfsm3u.o: pfsm3u.c \
	../config.h \
	../types.h \
	adb.h \
	dirdb.h \
	gendir.h \
	mdb.h \
	modlist.h \
	playlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) pfsm3u.c -o $@ -c

gendir.o: gendir.c \
	../config.h \
	../types.h \
	gendir.h
	$(CC) gendir.c -o $@ -c

playlist.o: playlist.c \
	../config.h \
	../types.h \
	adb.h \
	dirdb.h \
	gendir.h \
	mdb.h \
	modlist.h \
	pfilesel.h \
	playlist.h \
	../stuff/compat.h
	$(CC) playlist.c -o $@ -c

=== goodies/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

.PHONY: all clean

all:
		$(MAKE) -C helpc TOPDIR=../$(TOPDIR)

clean:
		-$(MAKE) -C helpc TOPDIR=../$(TOPDIR) clean

install:
	$(MAKE) -C helpc TOPDIR=../$(TOPDIR) install

uninstall:
	$(MAKE) -C helpc TOPDIR=../$(TOPDIR) uninstall

=== help/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

cphelper_so=cphelper.o

cphlpif_so=cphlpif.o

ifeq ($(STATIC_BUILD),1)
all: $(cphelper_so) $(cphlpif_so)
else
all: cphelper$(LIB_SUFFIX) cphlpif$(LIB_SUFFIX)
endif

clean:
	rm -f *$(LIB_SUFFIX) *.o

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) cphlpif$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/40-cphlpif$(LIB_SUFFIX)"
	$(CP) cphelper$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/20-cphelper$(LIB_SUFFIX)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/40-cphlpif$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/20-cphelper$(LIB_SUFFIX)"
endif

cphelper.o: cphelper.c cphelper.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	../boot/plinkman.h \
	../stuff/err.h \
	../cpiface/cpiface.h
	$(CC) cphelper.c -o $@ -c

cphelper$(LIB_SUFFIX): $(cphelper_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ -lz

cphlpif.o: cphlpif.c cphelper.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../stuff/poutput.h \
	../stuff/framelock.h \
	../cpiface/cpiface.h \
	../stuff/err.h
	$(CC) cphlpif.c -o $@ -c

cphlpif$(LIB_SUFFIX): $(cphlpif_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

=== playay/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

TARGETS=aytype$(LIB_SUFFIX) playay$(LIB_SUFFIX)

CFLAGS+=-fPIC

all: $(TARGETS)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) aytype$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-aytype$(LIB_SUFFIX)"
	$(CP) playay$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-aytype$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/playay$(LIB_SUFFIX)"

aytype_so=aytype.o
aytype$(LIB_SUFFIX): $(aytype_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

aytype.o: aytype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../stuff/compat.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h
	$(CC) aytype.c -o $@ -c

playay_so=z80.o sound.o aypplay.o ayplay.o
playay$(LIB_SUFFIX): $(playay_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

z80.o: z80.h z80.c z80ops.c edops.c cbops.c main.h
	$(CC) -o $@ z80.c -c

sound.o: sound.c main.h z80.h sound.h \
	../config.h \
	../types.h \
	../dev/player.h
	$(CC) -o $@ sound.c -c

aypplay.o: aypplay.c ayplay.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/deviplay.h \
	../dev/player.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h \
	../stuff/timer.h
	$(CC) -o $@ aypplay.c -c

ayplay.o: ayplay.c ayplay.h main.h sound.h z80.h \
	../config.h \
	../types.h \
	../stuff/timer.h \
	../stuff/poll.h \
	../dev/player.h \
	../dev/deviplay.h \
	../stuff/imsrtns.h \
	../dev/plrasm.h
	$(CC) -o $@ ayplay.c -c

=== playcda/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(CDROM_SUPPORT),1)
PLAYCDA_SO=playcda$(LIB_SUFFIX)
endif

all: $(PLAYCDA_SO)

playcda_so=cdaplay.o cdapplay.o
playcda$(LIB_SUFFIX): $(playcda_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
ifeq ($(CDROM_SUPPORT),1)
	$(CP) $(PLAYCDA_SO) "$(DESTDIR)$(LIBDIR)"
endif

uninstall:
ifeq ($(CDROM_SUPPORT),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(PLAYCDA_SO)"
endif


cdaplay.o: cdaplay.c cdaudio.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/devisamp.h \
	../dev/deviplay.h \
	../dev/player.h \
	../dev/plrasm.h \
	../dev/sampler.h \
	../stuff/imsrtns.h \
	../stuff/poll.h \
	cdaudio.h
	$(CC) cdaplay.c -o $@ -c

cdapplay.o: cdapplay.c cdaudio.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/deviplay.h \
	../dev/devisamp.h \
	../filesel/mdb.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h \
	../filesel/pfilesel.h
	$(CC) cdapplay.c -o $@ -c

=== playflac/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_FLAC),1)
TARGETS=flacptype$(LIB_SUFFIX) playflac$(LIB_SUFFIX)
endif

CFLAGS+=-fPIC

all: $(TARGETS)

flactest: flactest.c
	$(CC) -o $@ flactest.c -lFLAC

clean:
	rm -f *.o *$(LIB_SUFFIX) flactest

install:
ifeq ($(HAVE_FLAC),1)
	$(CP) playflac$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
	$(CP) flacptype$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-flacptype$(LIB_SUFFIX)"
endif

uninstall:
ifeq ($(HAVE_FLAC),1)
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-flacptype$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/playflac$(LIB_SUFFIX)"
endif

flacptype_so=flacptype.o
flacptype$(LIB_SUFFIX): $(flacptype_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

flacptype.o: flacptype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h
	$(CC) flacptype.c -o $@ -c

playflac_so=flacpplay.o flacplay.o
playflac$(LIB_SUFFIX): $(playflac_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ $(FLAC_LIBS)

flacpplay.o: flacpplay.c \
	../config.h \
	../types.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	../stuff/poutput.h \
	../dev/player.h \
	../boot/psetting.h \
	../boot/plinkman.h \
	flacplay.h \
	../stuff/sets.h \
	../stuff/compat.h \
	../stuff/err.h \
	../dev/deviplay.h \
	../cpiface/cpiface.h
	$(CC) flacpplay.c -o $@ $(FLAC_CFLAGS) -c

flacplay.o: flacplay.c \
	../config.h \
	../types.h \
	../stuff/poll.h \
	../stuff/timer.h \
	../dev/player.h \
	../dev/deviplay.h \
	../dev/plrasm.h \
	../stuff/imsrtns.h \
	flacplay.h
	$(CC) flacplay.c -o $@ $(FLAC_CFLAGS) -c

=== playgmd/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: gmdptype.o load669$(LIB_SUFFIX) loadams$(LIB_SUFFIX) loaddmf$(LIB_SUFFIX) loadmdl$(LIB_SUFFIX) loadmtm$(LIB_SUFFIX) loadokt$(LIB_SUFFIX) loadptm$(LIB_SUFFIX) loads3m$(LIB_SUFFIX) loadult$(LIB_SUFFIX) playgmd$(LIB_SUFFIX)

playgmd_so=gmdpchan.o gmdpdots.o gmdpinst.o gmdplay.o gmdpplay.o gmdptrak.o gmdrtns.o gmdtime.o
playgmd$(LIB_SUFFIX): $(playgmd_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

load669_so=gmdl669.o
load669$(LIB_SUFFIX): $(load669_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadams_so=gmdlams.o
loadams$(LIB_SUFFIX): $(loadams_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loaddmf_so=gmdldmf.o
loaddmf$(LIB_SUFFIX): $(loaddmf_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadmdl_so=gmdlmdl.o
loadmdl$(LIB_SUFFIX): $(loadmdl_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadmtm_so=gmdlmtm.o
loadmtm$(LIB_SUFFIX): $(loadmtm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadokt_so=gmdlokt.o
loadokt$(LIB_SUFFIX): $(loadokt_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadptm_so=gmdlptm.o
loadptm$(LIB_SUFFIX): $(loadptm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loads3m_so=gmdls3m.o
loads3m$(LIB_SUFFIX): $(loads3m_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadult_so=gmdlult.o
loadult$(LIB_SUFFIX): $(loadult_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) load669$(LIB_SUFFIX) loadams$(LIB_SUFFIX) loaddmf$(LIB_SUFFIX) loadmdl$(LIB_SUFFIX) loadmtm$(LIB_SUFFIX) loadokt$(LIB_SUFFIX) loadptm$(LIB_SUFFIX) loads3m$(LIB_SUFFIX) loadult$(LIB_SUFFIX) playgmd$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/load669$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadams$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loaddmf$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadmdl$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadmtm$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadokt$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadptm$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loads3m$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadult$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/playgmd$(LIB_SUFFIX)"


gmdptype.o: gmdptype.c \
	../config.h \
	../types.h \
	../filesel/mdb.h
	$(CC) gmdptype.c -o $@ -c

gmdl669.o: gmdl669.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdl669.c -o $@ -c

gmdlams.o: gmdlams.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdlams.c -o $@ -c

gmdldmf.o: gmdldmf.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdldmf.c -o $@ -c

gmdlmdl.o: gmdlmdl.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdlmdl.c -o $@ -c

gmdlmtm.o: gmdlmtm.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdlmtm.c -o $@ -c

gmdlokt.o: gmdlokt.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdlokt.c -o $@ -c

gmdlptm.o: gmdlptm.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdlptm.c -o $@ -c

gmdls3m.o: gmdls3m.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdls3m.c -o $@ -c

gmdlult.o: gmdlult.c \
	../config.h \
	gmdplay.h \
	gmdinst.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../stuff/err.h \
	../types.h
	$(CC) gmdlult.c -o $@ -c

gmdpchan.o: gmdpchan.c \
	../config.h \
	../types.h \
	gmdplay.h \
	gmdpchan.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) gmdpchan.c -o $@ -c

gmdpdots.o: gmdpdots.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdplay.h \
	gmdpdots.h \
	../cpiface/cpiface.h
	$(CC) gmdpdots.c -o $@ -c

gmdpinst.o: gmdpinst.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdinst.h \
	../cpiface/cpiface.h
	$(CC) gmdpinst.c -o $@ -c

gmdplay.o: gmdplay.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdplay.h \
	../stuff/imsrtns.h \
	../cpiface/cpiface.h
	$(CC) gmdplay.c -o $@ -c

gmdpplay.o: gmdpplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h \
	../dev/mcp.h \
	../boot/psetting.h \
	gmdplay.h \
	gmdpchan.h \
	gmdpdots.h \
	gmdptrak.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../stuff/err.h \
	../boot/plinkman.h \
	../dev/deviwave.h \
	../cpiface/cpiface.h \
	../stuff/compat.h \
	../filesel/pfilesel.h
	$(CC) gmdpplay.c -o $@ -c

gmdptrak.o: gmdptrak.c \
	../config.h \
	../types.h \
	gmdplay.h \
	gmdptrak.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) gmdptrak.c -o $@ -c

gmdrtns.o: gmdrtns.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdplay.h
	$(CC) gmdrtns.c -o $@ -c

gmdtime.o: gmdtime.c \
	../config.h \
	../types.h \
	gmdplay.h
	$(CC) gmdtime.c -o $@ -c

=== debian/changelog ===
ocp (1:0.1.21-2) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Really run dh-autoreconf; thanks Logan Rosen. (Closes: #744480)
  * Fix FTBFS on gcc-7; thanks Steve Langasek. (Closes: #853581)
  * Fix FTBFS on i386; thanks Steve Langasek. (Closes: #848916)
  * Bump debhelper version to 10.
  * Bump standards version to 4.1.0.
  * Update my name.

  [ Adam Borowski ]
  * Remove bogus ancient gcc detection completely, fixes FTBFS on gcc-7.
  * Axe redundant/obsolete {Build-,}Depends (dh-autoreconf, autotools-dev,
    texi2html, install-info).
  * wrap-and-sort.
  * Obey dpkg-buildflags.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 11 Sep 2017 23:29:00 +0200

ocp (1:0.1.21-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with dpkg-buildpackage -A, patch by Santiago Vila (Closes:
    #805954).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Dec 2016 20:39:25 +0500

ocp (1:0.1.21-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix GCC version detection. Closes: #778033.
  * Build using dh-autoreconf. Closes: #744480.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 14:07:58 +0200

ocp (1:0.1.21-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with gcc-4.7 on i386": add patch fix-gcc47-pcthunk from Kumar
    Appaiah: Fix name of PIC thunks with gcc 4.7.
    Thanks also to Felix Geyer for the bug report and for pointing to the fix.
    (Closes: #683925)

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Sep 2012 17:19:22 +0200

ocp (1:0.1.21-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add lintian recommended targets.
  * Bump standards version to 3.9.2.
  * Bump debhelper version to 8.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 09 Nov 2011 12:30:15 +0100

=== debian/control ===
Source: ocp
Section: sound
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Uploaders: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Build-Depends: debhelper (>= 10),
               desktop-file-utils,
               dpkg (>= 1.15.4),
               libadplug-dev (>= 2.0.1-2),
               libasound2-dev,
               libbinio-dev,
               libflac-dev,
               libid3tag0-dev,
               libmad0-dev,
               libncurses5-dev,
               libogg-dev,
               libsidplay1-dev,
               libvorbis-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               texinfo,
               zlib1g-dev
Standards-Version: 4.1.0
Homepage: http://stian.cubic.org/project-ocp.php

Package: opencubicplayer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freepats, opencubicplayer-doc
Provides: audio-mixer, mp3-decoder, mp3-encoder, x-audio-mixer
Description: UNIX port of Open Cubic Player
 This is a port of the Open Cubic Player to UNIX from DOS. Provides a
 nice textbased frontend, with some few optional features in graphical.
 Plays modules, sids, wave, audio CD, midi, ogg, flac, adlib, mp3, and ym.

Package: opencubicplayer-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for UNIX port of Open Cubic Player
 This is the documentation for the  port of the Open Cubic Player to
 UNIX from DOS. Provides a nice textbased frontend, with some few
 optional features in graphical. Plays modules, sids, wave, audio CD,
 midi, ogg, flac, adlib, mp3, and ym.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall -g -fPIC
CXXFLAGS += -fPIC

configure-stamp:
	dh_testdir
	AUTOMAKE=true LIBTOOLIZE=true AUTOHEADER=true dh_autoreconf
	dh_autotools-dev_updateconfig
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
        --build=$(DEB_BUILD_GNU_TYPE) \
        --prefix=/usr \
        --exec-prefix=/usr \
        --mandir=\$${prefix}/share/man \
        --sysconfdir=/etc \
        --datadir=\$${prefix}/share/ocp \
        --libdir=\$${prefix}/lib \
        --bindir=\$${prefix}/bin \
        --infodir=\$${prefix}/share/info \
        --with-x11 --with-dir-suffix= \
        --with-freepats=\$${prefix}/share/midi/freepats
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean distclean
	rm -f config.log config.status
	dh_autoreconf_clean
	dh_autotools-dev_restoreconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/opencubicplayer
	-mv debian/opencubicplayer/usr/share/doc/ocp/html/* \
            debian/opencubicplayer-doc/usr/share/doc/opencubicplayer-doc/html/
	-rm -rf debian/opencubicplayer/usr/share/doc/ocp
	cp debian/opencubicplayer32.xpm debian/opencubicplayer/usr/share/pixmaps/opencubicplayer.xpm
#	cp goodies/pack/pack $(CURDIR)/debian/opencubicplayer/usr/bin/pak
	rm -f debian/opencubicplayer/usr/bin/ultrafix.sh
	rm -rf debian/opencubicplayer/usr/share/ocp/ocp/
	rm -rf $(CURDIR)/debian/opencubicplayer/usr/share/info/dir*

# Build architecture-independent files here.
binary-indep: build install
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installmenu -i
	dh_installman -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installman -a
	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/xocp.1
	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-curses.1
	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-sdl.1
	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-vcsa.1
	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-x11.1
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://stian.cubic.org/project-ocp.php (?:.*/)?ocp-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
